!++
!     Define symbols according to macro values
!--

.IFDEF DEBUG
DBG = /DEBUG
DBGOPT = /NOOPTIMIZE/DEBUG
.ELSE
DBG = /NODEBUG
DBGOPT = /OPTIMIZE/NODEBUG
.ENDIF

.IFDEF LIST
LST = /LIST
.ELSE
LST = /NOLIST
.ENDIF

.IFDEF DIAG
DIA = /DIAGNOSTICS
.ELSE
DIA = /NODIAGNOSTICS
.ENDIF

.IFDEF PCA
PCAOPT = /DEBUG
.ENDIF

!++
!      List of tools used and required symbols
!
!      !C used
!      !Executables used
!--


!++
!     Missing sources catch-all
!--

.DEFAULT
   ! No source found for $(MMS$TARGET)
   ! - Attempting to continue



!++
!   Complete application - default build item
!--

COMPLETE_APPLICATION depends_on -
     HC.EXE_$(ARCH)
        CONTINUE


!++
!   C
!--

MMS$OLB_$(ARCH).OLB(HC=HC.OBJ_$(ARCH)) depends_on -
      HC.C -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=HC.OBJ_$(ARCH) HC.C
       LIBRARY/REPLACE MMS$OLB_$(ARCH).OLB HC.OBJ_$(ARCH)
       DELETE HC.OBJ_$(ARCH);*


!++
!   Links
!--

HC.EXE_$(ARCH) depends_on -
      MMS$OLB_$(ARCH).OLB(HC=HC.OBJ_$(ARCH)) -
     !
       LINK $(DBG) $(PCAOPT) /EXE=HC.EXE_$(ARCH) MMS$OLB_$(ARCH).OLB/LIBRARY/INCLUDE=(HC)/SYSEXE -
          ! End of Link

!++
!  Create object library if it doesn't already exist
!--

.FIRST
       IF F$SEARCH( "MMS$OLB.OLB_$(ARCH)" ) .EQS. "" -
		THEN $(LIBR)/CREATE MMS$OLB_$(ARCH).OLB

!++
!  End of build cleanup work
!--

.LAST
       CONTINUE

